#========================================================================================
# package      DE_EPAGES::AmazonPayments::Hooks::Shop
# state        public
# description  Additional hook function for OnLoadCheckoutCSS hook.
#========================================================================================
package DE_EPAGES::AmazonPayments::Hooks::Shop;

use strict;

#========================================================================================
# function     OnLoadCheckoutCSS
# state        public
#----------------------------------------------------------------------------------------
# syntax       OnLoadCheckoutCSS($hParams);
#----------------------------------------------------------------------------------------
# description  Triggered by hook OBJ_LoadCheckoutCSS.
#               Checks if the CSS for the checkout should be requested from Unity via REST
#               or the related shop attribute is taken
#----------------------------------------------------------------------------------------
# input        $hParams | hook arguments, used keys are
#               <ul>
#                   <li>Object - shop object</li>
#                   <li>Values - attributes</li>
#               </ul> | ref.hash.*
#========================================================================================
sub OnLoadCheckoutCSS {
    my ($hParams) = @_;

    # skip if another hook function already wants to request the CSS from Unity
    return if $hParams->{'Values'}->{'RequestCSSPathFromUnity'};

    if( $hParams->{'Values'}->{'ChangeAction'} eq 'PayWithAmazonPayments') {
        $hParams->{'Values'}->{'RequestCSSPathFromUnity'} = 1;
    }

    return;
}

1;
