#==============================================================================
# package      DE_EPAGES::GoogleAdWords::UI::Shop
# base         DE_EPAGES::Order::UI::Shop
# state        private
#==============================================================================
package DE_EPAGES::GoogleAdWords::UI::Shop;
use base DE_EPAGES::Presentation::UI::Object;

use strict;

use DE_EPAGES::GoogleAdWords::API::GoogleAdWords qw ( ApplyPromotionCodeToShop FormatAdwordsTrackingCode );

#==============================================================================
# push a google promotion code to our shop
#==============================================================================
sub Generate {
    my $self = shift;
    my ($Servlet) = @_;
    my $Shop = $Servlet->object;

    ApplyPromotionCodeToShop($Shop);
}

sub Save {
    my $self = shift;
    my ($Servlet) = @_;

    # EPG-23378 GoogleAdWordsHTMLCode
    my $hValues = $Servlet->form->form($Servlet->object, 'SaveGoogleAdwords');
    my $GoogleAdwordsHTMLCode = $hValues->{'GoogleAdWordsHTMLCode'};
    my $FormattedAdwordsCode = FormatAdwordsTrackingCode($GoogleAdwordsHTMLCode);

    $Servlet->object->set({'GoogleAdWordsHTMLCode' => $FormattedAdwordsCode});

    return;
}

1;
