#==============================================================================
# package      DE_EPAGES::PayPalPlus::UI::BasketOrder
# base         DE_EPAGES::Presentation::UI::Object;
# state        private
#==============================================================================
package DE_EPAGES::PayPalPlus::UI::BasketOrder;
use base DE_EPAGES::Presentation::UI::Object;

use DE_EPAGES::Core::API::PerlTools qw ( GetCurrentDateTime );
use DE_EPAGES::Order::API::Object::BasketOrderProcess;
use DE_EPAGES::PayPalPlus::API::ContextLogger;

use strict;

sub ViewPaymentPayPalPlus {
    my $self        = shift;
    my ($Servlet)   = @_;
    my $MethodName = ( caller(0) )[3];

    my $Context     = DE_EPAGES::PayPalPlus::API::ContextLogger->new();
    my $BasketOrder = $Servlet->object();
    $Context->logContext(
        $BasketOrder,
        $MethodName,
        sub {
            my $LineItemPayment = $BasketOrder->get('LineItemContainer')->get('Payment');
            my $PaymentMethod   = $LineItemPayment->get('PaymentMethod');

            $LineItemPayment->set( {
                    'IsTestTransaction' => $PaymentMethod->isInTestMode(),
                    'TransTime'         => GetCurrentDateTime(),
                }
            );
        }
    );

    return;
}

sub ViewMultiPaymentPayPalPlus {
    my $self        = shift;
    my ($Servlet)   = @_;
    my $MethodName = ( caller(0) )[3];

    my $Context     = DE_EPAGES::PayPalPlus::API::ContextLogger->new();
    my $BasketOrder = $Servlet->object();

    $Context->logContext(
        $BasketOrder,
        $MethodName,
        sub {
            my $BasketOrderProcess = DE_EPAGES::Order::API::Object::BasketOrderProcess->new($Servlet);
            $Servlet->vars( 'BasketOrderProcess', $BasketOrderProcess->tleHash() );

            $self->ViewPaymentPayPalPlus($Servlet);
        }
    );

    return;
}

1;
