#========================================================================================
# nocomments
# package      DE_EPAGES::Spreedly::API::Constants
# state        private
#----------------------------------------------------------------------------------------
# description  constants for cartridge
#========================================================================================
package DE_EPAGES::Spreedly::API::Constants;
use base Exporter;

use strict;



our @EXPORT_OK = qw (
    INTERNAL_CARTRIDGE_NAME
    IS_PAYMENT_METHOD_OK
    IS_PAYMENT_METHOD_NOK
    CREDIT_CARD
    OPERATIONAL_MODE_LIVE
    OPERATIONAL_MODE_TEST
    @PAYMENT_TYPE_NAMES
    %STRIPE_DEFAULTS
    %AUTHORIZE_DEFAULTS
    %PAYEEZY_DEFAULTS
);



# This name is used to load objects from database (DON'T CHANGE!)
use constant INTERNAL_CARTRIDGE_NAME => 'Spreedly';
use constant CREDIT_CARD => 'credit_card';
use constant IS_PAYMENT_METHOD_OK => 1;
use constant IS_PAYMENT_METHOD_NOK => 0;
use constant OPERATIONAL_MODE_LIVE => 'live';
use constant OPERATIONAL_MODE_TEST => 'test';

our @PAYMENT_TYPE_NAMES = (
    qw (
        SpreedlyTest
        SpreedlyStripe
        SpreedlyAuthorize
        SpreedlyPayeezy
    )
);

our %STRIPE_DEFAULTS = (
    'PaymentTypeMethod_Object_Path' => '/PaymentTypes/SpreedlyStripe/PaymentTypeMethods/CreditCard/DebitCreditCard',
);

our %AUTHORIZE_DEFAULTS = (
    'PaymentTypeMethod_Object_Path' => '/PaymentTypes/SpreedlyAuthorize/PaymentTypeMethods/CreditCard/DebitCreditCard',
);

our %PAYEEZY_DEFAULTS = (
    'PaymentTypeMethod_Object_Path' => '/PaymentTypes/SpreedlyPayeezy/PaymentTypeMethods/CreditCard/DebitCreditCard',
);

1;